# Vtiful\Kernel\Excel::insertText

(PHP 7 >= 7.0.0, PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Excel::insertText — Vtiful\Kernel\Excel insertText

### Description

public Vtiful\Kernel\Excel::insertText ( int `$row` , int `$column` , string int double `$data` [, string `$format` ] )

Write text in a cell.

### Parameters

`row`

  cell row

`column`

  cell column

`data`

  data to be written

`format`

  String format

### Return Values

Vtiful\Kernel\Excel instance

### Examples

Example #1 example

`<?php
$config = [
'path' => './tests'
];
$excel = new \Vtiful\Kernel\Excel($config);
$file = $excel->fileName("free.xlsx")
->header(['name', 'money']);
for ($index = 0; $index < 10; $index++) {
$file->insertText($index+1, 0, 'viest');
$file->insertText($index+1, 1, 10000, '#,##0');
}
$textFile->output();`